"use client";
import Image from "next/image";
import avatarImg1 from "@/assets/images/avatars/1.svg";
import fourLogoImg from "@/assets/images/four-logo.png";
import Types from "../../Types";
import Sidebar from "@/components/Sidebar";
import { motion } from "motion/react";
import Loader from "@/components/Loader";
import { useEffect, useState } from "react";
import { toast } from "react-toastify";

export default function DashboardChat() {
  const [state, setState] = useState<number>(1);

  useEffect(() => {
    setTimeout(() => {
      setState(2);

      setTimeout(() => {
        setState(3);
      }, 2000);
    }, 3000);
  }, []);

  return (
    <div className="p-2.5 h-[100svh]">
      <main className="h-full flex">
        <Sidebar />

        <div
          className="flex-1 h-[calc(100svh-20px)] pt-10 pb-5 bg-[#121A15] rounded-xl flex flex-col justify-between items-center"
          style={{
            backgroundImage: `url("/images/body-bg.png")`,
            backgroundSize: "cover",
            backgroundPosition: "center",
          }}
        >
          <div className="hide-scrollbar flex-1 w-full max-w-[780px] pb-10 space-y-12 overflow-y-auto">
            <motion.p
              initial={{ y: -25, opacity: 0 }}
              whileInView={{ y: 0, opacity: 1 }}
              viewport={{ once: true }}
              transition={{ duration: 0.25, delay: 0.2 }}
              className="text-lg font-medium text-center text-white"
            >
              Title of the Chat comes in this section
            </motion.p>

            <motion.p
              initial={{ y: -25, opacity: 0 }}
              whileInView={{ y: 0, opacity: 1 }}
              viewport={{ once: true }}
              transition={{ duration: 0.25, delay: 0.4 }}
              className="ml-auto max-w-[500px] p-3 border border-white/10 bg-white/10 rounded-lg text-white"
            >
              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
              eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
              enim ad minim veniam, quis nostrud exercitation ullamco laboris
              nisi ut aliquip ex ea commodo consequat.
            </motion.p>

            <Loader state={state} />

            {state === 3 && (
              <motion.div
                initial={{ y: -25, opacity: 0 }}
                whileInView={{ y: 0, opacity: 1 }}
                viewport={{ once: true }}
                transition={{ duration: 0.25, delay: 0.6 }}
                className="flex items-start gap-5"
              >
                <Image src={avatarImg1} alt="" className="w-[40px]" />

                <div className="flex-1 space-y-3">
                  <div className="w-full p-5 border border-white/10 bg-white/10 rounded-lg">
                    <div className="mb-3.5 pb-2 border-b border-white/10 flex justify-between items-center">
                      <h4 className="text-lg font-semibold text-white">
                        Token Chart
                      </h4>

                      <Image src={fourLogoImg} alt="" className="w-[76px]" />
                    </div>

                    <div className="mb-4 w-full p-3 border border-white/25 bg-white/10 hover:bg-white/15 rounded-lg flex justify-between items-center cursor-pointer duration-200">
                      <div className="flex items-center gap-2.5">
                        <svg
                          width="31"
                          height="32"
                          viewBox="0 0 31 32"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <rect
                            y="0.75"
                            width="30.5"
                            height="30.5"
                            rx="15.25"
                            fill="#FF007A"
                          />
                          <g clipPath="url(#clip0_4_686)">
                            <path
                              d="M10.9321 7.08979C10.6482 7.046 10.6361 7.04147 10.7705 7.02183C11.0272 6.98257 11.6312 7.03543 12.048 7.13358C13.0205 7.36312 13.9054 7.95205 14.8507 8.99854L15.1014 9.2764L15.4608 9.21902C16.9739 8.9774 18.5112 9.16918 19.7993 9.75963C20.1542 9.92272 20.7129 10.2459 20.7809 10.3289C20.805 10.3561 20.8458 10.5252 20.8715 10.708C20.9681 11.3392 20.9213 11.8209 20.7265 12.1818C20.6208 12.3781 20.6148 12.44 20.6857 12.6092C20.7197 12.6788 20.7725 12.7376 20.8382 12.7787C20.9038 12.8198 20.9797 12.8416 21.0572 12.8417C21.3774 12.8417 21.7217 12.3283 21.8802 11.6125L21.9436 11.3271L22.069 11.4691C22.7591 12.2452 23.2997 13.3023 23.3918 14.0543L23.416 14.2506L23.3012 14.0725C23.1344 13.7995 22.9103 13.5661 22.6443 13.3884C22.1822 13.0849 21.693 12.9807 20.4003 12.9127C19.2315 12.8523 18.5701 12.7526 17.9147 12.5397C16.7988 12.1773 16.237 11.6971 14.9111 9.96953C14.3222 9.2009 13.9598 8.77656 13.5974 8.43528C12.7744 7.65758 11.9665 7.24986 10.9321 7.0913V7.08979Z"
                              fill="white"
                            />
                            <path
                              d="M21.0519 8.80326C21.0806 8.28982 21.1501 7.95005 21.292 7.64049C21.3231 7.56225 21.3621 7.48737 21.4083 7.41699C21.4159 7.41699 21.3917 7.5076 21.3539 7.61783C21.2513 7.91985 21.2331 8.3306 21.3056 8.8093C21.3962 9.41635 21.4461 9.50394 22.0909 10.1593C22.3944 10.4674 22.7462 10.854 22.8746 11.0216L23.1072 11.3236L22.8746 11.1077C22.5907 10.8434 21.9383 10.3269 21.7934 10.2529C21.6967 10.2046 21.6816 10.2046 21.6227 10.2635C21.5669 10.3179 21.5563 10.3994 21.5472 10.786C21.5367 11.3885 21.4536 11.7751 21.2543 12.1602C21.1471 12.3716 21.1305 12.3263 21.2271 12.0892C21.2996 11.914 21.3071 11.8355 21.3071 11.2526C21.3071 10.0823 21.1652 9.79992 20.3452 9.31971C20.0979 9.17685 19.8439 9.04583 19.5841 8.92708C19.4561 8.87563 19.332 8.81507 19.2126 8.74587C19.2353 8.72322 20.0356 8.95578 20.3573 9.07809C20.8375 9.26232 20.916 9.28497 20.9749 9.26383C21.0127 9.24873 21.0323 9.13548 21.0504 8.80326H21.0519ZM11.4885 10.8071C10.9132 10.0189 10.5553 8.8093 10.6338 7.90475L10.6565 7.62538L10.7878 7.64804C11.0355 7.69334 11.4598 7.85039 11.6592 7.9712C12.2043 8.3004 12.4414 8.73379 12.6815 9.84824C12.7525 10.1744 12.8446 10.5429 12.8869 10.6697C12.9548 10.8706 13.2146 11.3402 13.4245 11.6452C13.5755 11.8657 13.4758 11.9699 13.1406 11.9397C12.6286 11.8944 11.9355 11.4187 11.4885 10.8071ZM20.3512 16.6769C17.6572 15.6002 16.7089 14.6639 16.7089 13.0859C16.7089 12.8533 16.7165 12.663 16.727 12.663C16.7361 12.663 16.8403 12.7386 16.9581 12.8337C17.5047 13.2686 18.1163 13.4543 19.8106 13.7005C20.8073 13.8454 21.366 13.9617 21.884 14.1324C23.53 14.6745 24.5463 15.7738 24.7894 17.2734C24.8589 17.7083 24.8196 18.5237 24.7033 18.9541C24.6127 19.2939 24.3379 19.9054 24.2654 19.9296C24.2443 19.9372 24.2246 19.8601 24.2201 19.7544C24.1929 19.1927 23.906 18.6445 23.4258 18.2338C22.8791 17.7672 22.1452 17.3957 20.3512 16.6784V16.6769ZM18.4606 17.1254C18.429 16.9341 18.3856 16.745 18.3307 16.5591L18.2613 16.3552L18.3896 16.4987C18.5663 16.695 18.7068 16.9472 18.8245 17.2839C18.9151 17.5406 18.9242 17.6161 18.9242 18.0329C18.9242 18.4422 18.9121 18.5282 18.8276 18.7578C18.7115 19.0982 18.517 19.4065 18.2598 19.6578C17.7675 20.1561 17.1348 20.431 16.2211 20.5457C16.0626 20.5654 15.6005 20.5986 15.1943 20.6197C14.1689 20.6726 13.4939 20.7828 12.8884 20.9942C12.8335 21.0183 12.7746 21.0322 12.7147 21.035C12.6906 21.0108 13.1043 20.7662 13.4441 20.6031C13.9243 20.3721 14.403 20.2467 15.4752 20.07C16.0037 19.9825 16.5519 19.8752 16.6908 19.833C18.0015 19.4343 18.6766 18.4029 18.4606 17.1254Z"
                              fill="white"
                            />
                            <path
                              d="M19.695 19.3063C19.3371 18.5421 19.254 17.8037 19.4503 17.1151C19.4715 17.0396 19.5047 16.9807 19.5258 16.9807C19.5455 16.9807 19.6315 17.026 19.7131 17.0819C19.8792 17.1921 20.2084 17.3779 21.0903 17.8551C22.1896 18.4515 22.8178 18.9121 23.2437 19.4407C23.6167 19.9012 23.8477 20.4283 23.9595 21.0685C24.0229 21.431 23.9851 22.3068 23.8915 22.6722C23.5955 23.826 22.91 24.732 21.9284 25.2605C21.7849 25.3376 21.6566 25.401 21.6415 25.401C21.6279 25.401 21.6807 25.2696 21.7578 25.108C22.0885 24.4224 22.1262 23.7565 21.8771 23.015C21.723 22.5605 21.4119 22.0063 20.7837 21.0685C20.0529 19.9813 19.8747 19.6898 19.695 19.3063ZM9.57434 23.4333C10.5755 22.5937 11.8183 21.9987 12.9524 21.8145C13.5365 21.7396 14.1291 21.7626 14.7056 21.8825C15.4305 22.0667 16.0798 22.4805 16.4166 22.9712C16.7458 23.453 16.8877 23.8713 17.0357 24.8045C17.0931 25.1714 17.1565 25.5414 17.1746 25.6245C17.2849 26.1077 17.5008 26.4943 17.7666 26.6876C18.1894 26.9956 18.9203 27.0153 19.6376 26.7374C19.7121 26.7031 19.7908 26.6787 19.8717 26.6649C19.8973 26.6906 19.5364 26.9307 19.2827 27.0576C18.9817 27.2176 18.645 27.2987 18.3042 27.2931C17.6473 27.2931 17.1021 26.9609 16.6461 26.2844C16.4788 25.998 16.3296 25.7014 16.1991 25.3965C15.7189 24.3077 15.4818 23.977 14.9246 23.613C14.4383 23.2959 13.8117 23.24 13.3405 23.4696C12.7214 23.7716 12.5492 24.5568 12.9932 25.0552C13.2006 25.2693 13.4719 25.4103 13.7664 25.4569C13.8833 25.4729 14.0023 25.4636 14.1153 25.4296C14.2284 25.3955 14.3328 25.3376 14.4214 25.2597C14.5101 25.1818 14.5809 25.0857 14.6292 24.978C14.6775 24.8702 14.702 24.7534 14.7011 24.6354C14.7011 24.3077 14.5743 24.1219 14.2556 23.977C13.8192 23.7822 13.3526 24.0102 13.3541 24.4164C13.3541 24.5901 13.4311 24.6988 13.6063 24.7788C13.718 24.8287 13.7211 24.8317 13.6289 24.8136C13.2303 24.7305 13.1366 24.2518 13.4568 23.9347C13.8434 23.5541 14.6407 23.7218 14.914 24.2427C15.0288 24.4617 15.0424 24.8966 14.9427 25.1594C14.7162 25.7483 14.0638 26.0579 13.3994 25.8887C12.9464 25.774 12.7637 25.6501 12.2185 25.0929C11.2717 24.1234 10.9047 23.9347 9.53961 23.7233L9.27686 23.6825L9.57434 23.4333Z"
                              fill="white"
                            />
                            <path
                              fillRule="evenodd"
                              clipRule="evenodd"
                              d="M5.12937 6.08256C8.2915 9.89705 10.4706 11.4706 10.7122 11.8028C10.9115 12.0776 10.836 12.3253 10.4947 12.5186C10.252 12.6405 9.98785 12.7139 9.71703 12.7345C9.49504 12.7345 9.41803 12.6499 9.41803 12.6499C9.28967 12.5291 9.21719 12.5503 8.55728 11.386C7.99623 10.5128 7.42842 9.64397 6.85389 8.77958C6.80557 8.73428 6.80708 8.73428 8.46516 11.6835C8.73245 12.2981 8.51801 12.5231 8.51801 12.6107C8.51801 12.7889 8.46818 12.8825 8.24771 13.1286C7.87925 13.5364 7.71465 13.9954 7.59535 14.9453C7.46246 16.0099 7.08796 16.7619 6.04901 18.05C5.44196 18.8036 5.34229 18.941 5.18826 19.246C4.99497 19.6281 4.94212 19.8425 4.92098 20.3242C4.89833 20.8361 4.94212 21.1653 5.09917 21.6531C5.23508 22.082 5.38004 22.3629 5.747 22.9276C6.06412 23.4154 6.24533 23.7778 6.24533 23.9198C6.24533 24.0315 6.26647 24.0315 6.75876 23.9213C7.93059 23.6585 8.88346 23.1964 9.41954 22.6271C9.75176 22.2753 9.82877 22.082 9.83179 21.6003C9.8333 21.2862 9.82273 21.2197 9.73666 21.0385C9.59773 20.744 9.34403 20.4979 8.7853 20.1173C8.0514 19.619 7.7373 19.2188 7.65273 18.6677C7.58025 18.2146 7.6633 17.896 8.06801 17.0519C8.48781 16.176 8.59201 15.803 8.66298 14.9226C8.70829 14.3533 8.7702 14.1283 8.9348 13.9471C9.10695 13.7599 9.26098 13.6964 9.68682 13.6391C10.38 13.5439 10.8194 13.3672 11.1818 13.035C11.3271 12.9151 11.4443 12.7648 11.5252 12.5947C11.6061 12.4246 11.6486 12.2388 11.6499 12.0504L11.665 11.7333L11.4884 11.531C10.8526 10.794 4.70352 5.50269 4.66426 5.50269C4.65671 5.50269 4.8651 5.76393 5.12937 6.08256ZM6.60322 20.9041C6.6725 20.7817 6.6931 20.6378 6.66091 20.5009C6.62872 20.364 6.54611 20.2443 6.42956 20.1657C6.20304 20.0147 5.84817 20.0871 5.84817 20.2819C5.84817 20.3424 5.88139 20.3861 5.9569 20.4239C6.08375 20.4888 6.09281 20.5613 5.99314 20.7108C5.89197 20.8603 5.90103 20.9917 6.01579 21.0823C6.20153 21.2258 6.46429 21.1472 6.60322 20.9041ZM12.1015 13.8067C11.7768 13.9048 11.4612 14.2476 11.3615 14.607C11.3026 14.826 11.3374 15.2111 11.4264 15.3288C11.5714 15.5206 11.7103 15.5705 12.0894 15.569C12.8293 15.5644 13.4726 15.2488 13.5481 14.8532C13.6085 14.53 13.3261 14.083 12.9365 13.8852C12.6719 13.7778 12.3815 13.7504 12.1015 13.8067ZM12.9683 14.4787C13.0815 14.3171 13.0317 14.1434 12.8369 14.0256C12.4684 13.8006 11.9082 13.9864 11.9082 14.3337C11.9082 14.5074 12.1996 14.6961 12.4669 14.6961C12.6451 14.6961 12.8897 14.5904 12.9683 14.4787Z"
                              fill="white"
                            />
                          </g>
                          <defs>
                            <clipPath id="clip0_4_686">
                              <rect
                                width="21.1413"
                                height="22.6514"
                                fill="white"
                                transform="translate(4.66357 4.74731)"
                              />
                            </clipPath>
                          </defs>
                        </svg>

                        <div>
                          <p className="font-medium text-white">Token Name</p>

                          <p className="text-sm font-medium text-white/50">
                            Token Symbol
                          </p>
                        </div>
                      </div>

                      <p className="flex items-center gap-2.5 text-white">
                        <svg
                          width="19"
                          height="18"
                          viewBox="0 0 19 18"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <g clipPath="url(#clip0_72_1934)">
                            <path
                              fillRule="evenodd"
                              clipRule="evenodd"
                              d="M9.5 0C14.4709 0 18.5 4.02909 18.5 9C18.5 13.9709 14.4709 18 9.5 18C4.52909 18 0.5 13.9709 0.5 9C0.5 4.02909 4.52909 0 9.5 0Z"
                              fill="#F0B90B"
                            />
                            <path
                              d="M5.44718 9.00001L5.45367 11.3798L7.47578 12.5697V13.963L4.27025 12.0829V8.30409L5.44718 9.00001ZM5.44718 6.6202V8.00698L4.26953 7.31034V5.92356L5.44718 5.22693L6.63059 5.92356L5.44718 6.6202ZM8.32025 5.92356L9.4979 5.22693L10.6813 5.92356L9.4979 6.6202L8.32025 5.92356Z"
                              fill="white"
                            />
                            <path
                              d="M6.29688 10.8865V9.49327L7.47452 10.1899V11.5767L6.29688 10.8865ZM8.31899 13.0688L9.49663 13.7654L10.68 13.0688V14.4555L9.49663 15.1522L8.31899 14.4555V13.0688ZM12.369 5.92356L13.5466 5.22693L14.73 5.92356V7.31034L13.5466 8.00698V6.6202L12.369 5.92356ZM13.5466 11.3798L13.5531 9.00001L14.7308 8.30337V12.0822L11.5252 13.9623V12.569L13.5466 11.3798Z"
                              fill="white"
                            />
                            <path
                              d="M12.703 10.8866L11.5254 11.5767V10.1899L12.703 9.49329V10.8866Z"
                              fill="white"
                            />
                            <path
                              d="M12.7022 7.1134L12.7087 8.50667L10.6808 9.69658V12.0822L9.50312 12.7723L8.32548 12.0822V9.69658L6.2976 8.50667V7.1134L7.48029 6.41677L9.49591 7.61244L11.5238 6.41677L12.7072 7.1134H12.7022ZM6.29688 4.73432L9.49663 2.84778L12.7022 4.73432L11.5245 5.43095L9.49663 4.23528L7.47452 5.43095L6.29688 4.73432Z"
                              fill="white"
                            />
                          </g>
                          <defs>
                            <clipPath id="clip0_72_1934">
                              <rect
                                width="18"
                                height="18"
                                fill="white"
                                transform="translate(0.5)"
                              />
                            </clipPath>
                          </defs>
                        </svg>
                        CA : 0x1231....abcd{" "}
                        <svg
                          onClick={() => {
                            toast.success("Copied!");

                            navigator.clipboard.writeText("0x1231....abcd");
                          }}
                          width="17"
                          height="16"
                          viewBox="0 0 17 16"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                          className="cursor-pointer"
                        >
                          <path
                            d="M5.83398 5.33337V3.46671C5.83398 2.71997 5.83398 2.3466 5.97931 2.06139C6.10714 1.8105 6.31111 1.60653 6.562 1.4787C6.84721 1.33337 7.22058 1.33337 7.96732 1.33337H13.034C13.7807 1.33337 14.1541 1.33337 14.4393 1.4787C14.6902 1.60653 14.8942 1.8105 15.022 2.06139C15.1673 2.3466 15.1673 2.71997 15.1673 3.46671V8.53337C15.1673 9.28011 15.1673 9.65351 15.022 9.93871C14.8942 10.1896 14.6902 10.3936 14.4393 10.5214C14.1541 10.6667 13.7807 10.6667 13.034 10.6667H11.1673M3.96732 14.6667H9.03398C9.78072 14.6667 10.1541 14.6667 10.4393 14.5214C10.6902 14.3936 10.8942 14.1896 11.022 13.9387C11.1673 13.6535 11.1673 13.2801 11.1673 12.5334V7.46671C11.1673 6.71997 11.1673 6.3466 11.022 6.06139C10.8942 5.8105 10.6902 5.60653 10.4393 5.4787C10.1541 5.33337 9.78072 5.33337 9.03398 5.33337H3.96732C3.22058 5.33337 2.84721 5.33337 2.562 5.4787C2.31111 5.60653 2.10714 5.8105 1.97931 6.06139C1.83398 6.3466 1.83398 6.71997 1.83398 7.46671V12.5334C1.83398 13.2801 1.83398 13.6535 1.97931 13.9387C2.10714 14.1896 2.31111 14.3936 2.562 14.5214C2.84721 14.6667 3.22058 14.6667 3.96732 14.6667Z"
                            stroke="white"
                            strokeWidth="1.33333"
                            strokeLinecap="round"
                            strokeLinejoin="round"
                          />
                        </svg>
                      </p>
                    </div>

                    <iframe
                      height="100%"
                      width="100%"
                      id="defined-embed"
                      title="Defined Embed"
                      src="https://www.defined.fi/bsc/0x5e9f06ad65e41fe90c74cc1479c37466ead6d1be?quoteToken=token0&embedded=1&hideTxTable=0&hideSidebar=0&hideChart=0&hideChartEmptyBars=1&chartSmoothing=0&embedColorMode=DEFAULT"
                      frameBorder="0"
                      allow="clipboard-write"
                      className="w-full aspect-video rounded-lg"
                    />
                  </div>

                  <div className="flex items-center gap-4">
                    <div className="py-1 pl-1.5 pr-3 border border-white/10 bg-white/10 rounded-full flex items-center gap-2">
                      <svg
                        width="78"
                        height="18"
                        viewBox="0 0 78 18"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <circle cx="9" cy="9" r="9" fill="#E57777" />
                        <circle cx="21" cy="9" r="9" fill="#09C04C" />
                        <circle cx="33" cy="9" r="9" fill="#D1CA0D" />
                        <circle cx="45" cy="9" r="9" fill="#09C04C" />
                        <circle cx="57" cy="9" r="9" fill="#D1CA0D" />
                        <circle cx="69" cy="9" r="9" fill="#E57777" />
                      </svg>

                      <p className="font-medium text-white">24 web pages</p>
                    </div>

                    <div className="flex gap-3">
                      <button className="flex">
                        <svg
                          width="18"
                          height="18"
                          viewBox="0 0 18 18"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <g clipPath="url(#clip0_46_276)">
                            <path
                              d="M3.75 11.25C3.05109 11.25 2.70164 11.25 2.42597 11.1359C2.05844 10.9836 1.76642 10.6915 1.61418 10.324C1.5 10.0483 1.5 9.69893 1.5 9V3.9C1.5 3.05992 1.5 2.63988 1.66349 2.31902C1.8073 2.03677 2.03677 1.8073 2.31902 1.66349C2.63988 1.5 3.05992 1.5 3.9 1.5H9C9.69893 1.5 10.0483 1.5 10.324 1.61418C10.6915 1.76642 10.9836 2.05844 11.1359 2.42597C11.25 2.70164 11.25 3.05109 11.25 3.75M9.15 16.5H14.1C14.9401 16.5 15.3602 16.5 15.681 16.3365C15.9632 16.1927 16.1927 15.9632 16.3365 15.681C16.5 15.3602 16.5 14.9401 16.5 14.1V9.15C16.5 8.30992 16.5 7.88985 16.3365 7.569C16.1927 7.28677 15.9632 7.0573 15.681 6.91349C15.3602 6.75 14.9401 6.75 14.1 6.75H9.15C8.30992 6.75 7.88985 6.75 7.569 6.91349C7.28677 7.0573 7.0573 7.28677 6.91349 7.569C6.75 7.88985 6.75 8.30992 6.75 9.15V14.1C6.75 14.9401 6.75 15.3602 6.91349 15.681C7.0573 15.9632 7.28677 16.1927 7.569 16.3365C7.88985 16.5 8.30992 16.5 9.15 16.5Z"
                              stroke="white"
                              strokeWidth="1.25"
                              strokeLinecap="round"
                              strokeLinejoin="round"
                            />
                          </g>
                          <defs>
                            <clipPath id="clip0_46_276">
                              <rect width="18" height="18" fill="white" />
                            </clipPath>
                          </defs>
                        </svg>
                      </button>

                      <button className="flex">
                        <svg
                          width="18"
                          height="18"
                          viewBox="0 0 18 18"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path
                            d="M6.41002 14.8256C8.20933 15.6239 10.3525 15.5805 12.1877 14.5209C15.2368 12.7605 16.2815 8.86164 14.5211 5.8125L14.3336 5.48773M3.47894 12.1876C1.71853 9.13847 2.76324 5.23958 5.81235 3.47917C7.64758 2.4196 9.79071 2.37625 11.59 3.17452M1.87012 12.2503L3.91915 12.7994L4.46819 10.7503M13.532 7.24936L14.0811 5.20033L16.1301 5.74936"
                            stroke="white"
                            strokeWidth="1.25"
                            strokeLinecap="round"
                            strokeLinejoin="round"
                          />
                        </svg>
                      </button>

                      <button className="flex">
                        <svg
                          width="18"
                          height="18"
                          viewBox="0 0 18 18"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path
                            d="M5.25 16.5V8.25M1.5 9.75V15C1.5 15.8284 2.17157 16.5 3 16.5H13.0697C14.1803 16.5 15.1246 15.6898 15.2935 14.5921L16.1012 9.34215C16.3109 7.97917 15.2564 6.75 13.8774 6.75H11.25C10.8358 6.75 10.5 6.41421 10.5 6V3.34938C10.5 2.32799 9.672 1.5 8.65065 1.5C8.40697 1.5 8.18625 1.64348 8.08733 1.86609L5.44795 7.80458C5.32758 8.07548 5.05899 8.25 4.7626 8.25H3C2.17157 8.25 1.5 8.92155 1.5 9.75Z"
                            stroke="white"
                            strokeWidth="1.25"
                            strokeLinecap="round"
                            strokeLinejoin="round"
                          />
                        </svg>
                      </button>

                      <button className="flex">
                        <svg
                          width="18"
                          height="18"
                          viewBox="0 0 18 18"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path
                            d="M12.7498 1.5V9.75M16.4998 7.35V3.9C16.4998 3.05992 16.4998 2.63988 16.3363 2.31902C16.1925 2.03677 15.9631 1.8073 15.6808 1.66349C15.3599 1.5 14.9399 1.5 14.0998 1.5H6.0883C4.99219 1.5 4.44414 1.5 4.00148 1.70057C3.61134 1.87736 3.27977 2.16181 3.04572 2.52054C2.78017 2.92754 2.69684 3.46923 2.53017 4.55259L2.13786 7.10259C1.91803 8.53148 1.80811 9.24593 2.02015 9.80183C2.20625 10.2898 2.55628 10.6978 3.01024 10.9559C3.52744 11.25 4.2503 11.25 5.696 11.25H6.29979C6.71984 11.25 6.92985 11.25 7.09029 11.3318C7.23141 11.4037 7.34615 11.5183 7.41805 11.6595C7.49983 11.8199 7.49983 12.0299 7.49983 12.45V14.6507C7.49983 15.672 8.32776 16.5 9.34918 16.5C9.59278 16.5 9.81358 16.3565 9.91251 16.1339L12.4331 10.4627C12.5477 10.2047 12.605 10.0757 12.6956 9.98115C12.7757 9.89752 12.8741 9.83363 12.983 9.7944C13.1062 9.75 13.2474 9.75 13.5296 9.75H14.0998C14.9399 9.75 15.3599 9.75 15.6808 9.5865C15.9631 9.44272 16.1925 9.21322 16.3363 8.931C16.4998 8.61015 16.4998 8.19008 16.4998 7.35Z"
                            stroke="white"
                            strokeWidth="1.25"
                            strokeLinecap="round"
                            strokeLinejoin="round"
                          />
                        </svg>
                      </button>
                    </div>
                  </div>
                </div>
              </motion.div>
            )}
          </div>

          <motion.div
            initial={{ y: -25, opacity: 0 }}
            whileInView={{ y: 0, opacity: 1 }}
            viewport={{ once: true }}
            transition={{ duration: 0.25, delay: 0.8 }}
            className="w-full max-w-[780px] space-y-2"
          >
            <div className="w-full flex justify-between items-center">
              <Types />

              <button className="py-1.5 px-2 border border-white/10 bg-[#121A15] rounded-xl flex items-center gap-1.5 text-base font-medium text-white">
                <svg
                  width="18"
                  height="18"
                  viewBox="0 0 18 18"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M9 10.125V5.625M6.75 7.875H11.25M5.25 13.5V15.2516C5.25 15.6513 5.25 15.8511 5.33192 15.9537C5.40317 16.043 5.5112 16.0949 5.6254 16.0948C5.75672 16.0946 5.91275 15.9698 6.22482 15.7201L8.0139 14.2888C8.37937 13.9965 8.56215 13.8503 8.76562 13.7464C8.94615 13.6541 9.1383 13.5867 9.3369 13.546C9.56077 13.5 9.79477 13.5 10.2628 13.5H12.15C13.4102 13.5 14.0401 13.5 14.5215 13.2548C14.9449 13.0391 15.2891 12.6949 15.5048 12.2715C15.75 11.7901 15.75 11.1601 15.75 9.9V5.85C15.75 4.58988 15.75 3.95982 15.5048 3.47852C15.2891 3.05516 14.9449 2.71095 14.5215 2.49524C14.0401 2.25 13.4102 2.25 12.15 2.25H5.85C4.58988 2.25 3.95982 2.25 3.47852 2.49524C3.05516 2.71095 2.71095 3.05516 2.49524 3.47852C2.25 3.95982 2.25 4.58988 2.25 5.85V10.5C2.25 11.1975 2.25 11.5462 2.32667 11.8324C2.53472 12.6088 3.1412 13.2153 3.91765 13.4234C4.20378 13.5 4.55252 13.5 5.25 13.5Z"
                    stroke="white"
                    strokeWidth="1.5"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                  />
                </svg>
                New Chat
              </button>
            </div>

            <div className="relative flex">
              <textarea
                placeholder="Ask me anything..."
                className="w-full h-[66px] p-5 resize-none outline-none border border-white/10 focus:border-[#09C04C] bg-[#121A15] rounded-2xl text-base text-white placeholder:text-white/75 duration-200"
              ></textarea>

              <div className="absolute top-1/2 right-0 -translate-y-1/2 w-fit px-5 flex justify-end">
                <button className="flex">
                  <svg
                    width="32"
                    height="32"
                    viewBox="0 0 32 32"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <rect width="32" height="32" rx="16" fill="#09C04C" />
                    <path
                      d="M16 24V8M16 8L10 14M16 8L22 14"
                      stroke="black"
                      strokeWidth="2"
                      strokeLinecap="round"
                      strokeLinejoin="round"
                    />
                  </svg>
                </button>
              </div>
            </div>
          </motion.div>
        </div>
      </main>

      <div className="absolute -z-10 -top-1/3 -left-[180px] w-[750px] h-[750px] bg-[#6B6700] blur-[150px] rounded-full"></div>
    </div>
  );
}
