"use client";
import Image from "next/image";
import avatarImg1 from "@/assets/images/avatars/1.svg";
import Types from "../../Types";
import Sidebar from "@/components/Sidebar";
import { motion } from "motion/react";
import Loader from "@/components/Loader";
import { useEffect, useState } from "react";
import fourLogoImg from "@/assets/images/four-logo.png";
import { toast } from "react-toastify";

export default function DashboardChat() {
  const [state, setState] = useState<number>(1);

  useEffect(() => {
    setTimeout(() => {
      setState(2);

      setTimeout(() => {
        setState(3);
      }, 2000);
    }, 3000);
  }, []);

  return (
    <div className="p-2.5 h-[100svh]">
      <main className="h-full flex">
        <Sidebar />

        <div
          className="flex-1 h-[calc(100svh-20px)] pt-10 pb-5 bg-[#121A15] rounded-xl flex flex-col justify-between items-center"
          style={{
            backgroundImage: `url("/images/body-bg.png")`,
            backgroundSize: "cover",
            backgroundPosition: "center",
          }}
        >
          <div className="hide-scrollbar flex-1 w-full max-w-[780px] pb-10 space-y-12 overflow-y-auto">
            <motion.p
              initial={{ y: -25, opacity: 0 }}
              whileInView={{ y: 0, opacity: 1 }}
              viewport={{ once: true }}
              transition={{ duration: 0.25, delay: 0.2 }}
              className="text-lg font-medium text-center text-white"
            >
              Title of the Chat comes in this section
            </motion.p>

            <motion.p
              initial={{ y: -25, opacity: 0 }}
              whileInView={{ y: 0, opacity: 1 }}
              viewport={{ once: true }}
              transition={{ duration: 0.25, delay: 0.4 }}
              className="ml-auto max-w-[500px] p-3 border border-white/10 bg-white/10 rounded-lg text-white"
            >
              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
              eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
              enim ad minim veniam, quis nostrud exercitation ullamco laboris
              nisi ut aliquip ex ea commodo consequat.
            </motion.p>

            <Loader state={state} />

            {state === 3 && (
              <motion.div
                initial={{ y: -25, opacity: 0 }}
                whileInView={{ y: 0, opacity: 1 }}
                viewport={{ once: true }}
                transition={{ duration: 0.25, delay: 0.6 }}
                className="flex items-start gap-5"
              >
                <Image src={avatarImg1} alt="" className="w-[40px]" />

                <div className="flex-1 max-w-[450px] space-y-3">
                  <div className="w-full p-5 border border-white/10 bg-white/10 rounded-lg">
                    <div className="mb-3.5 pb-2 border-b border-white/10 flex justify-between items-center">
                      <h4 className="text-lg font-semibold text-white">
                        Approve Transfer
                      </h4>
                    </div>

                    <div className="mb-4 space-y-3">
                      <div className="w-full p-3 border border-white/25 bg-white/10 hover:bg-white/15 rounded-lg flex justify-between items-center cursor-pointer duration-200">
                        <p className="font-medium text-white">Swap using Dex</p>

                        <Image src={fourLogoImg} alt="" className="w-[76px]" />
                      </div>

                      <div className="w-full p-3 border border-white/25 bg-white/10 hover:bg-white/15 rounded-lg flex justify-between items-center cursor-pointer duration-200">
                        <p className="font-medium text-white">Swap using Dex</p>

                        <svg
                          width="149"
                          height="23"
                          viewBox="0 0 149 23"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <g clipPath="url(#clip0_72_322)">
                            <path
                              d="M29.0391 17.6879C28.6949 17.6879 28.4516 17.6166 28.3091 17.4743C28.1786 17.3318 28.1133 17.1063 28.1133 16.7977V6.48964C28.1133 6.18105 28.1845 5.95554 28.3269 5.81312C28.4694 5.65882 28.7067 5.58167 29.0391 5.58167H33.4008C35.0625 5.58167 36.2849 5.9318 37.0684 6.63206C37.8517 7.33233 38.2434 8.37678 38.2434 9.76544C38.2434 11.1422 37.8517 12.1807 37.0684 12.881C36.2968 13.5695 35.0744 13.9136 33.4008 13.9136H31.7095V16.7977C31.7095 17.1063 31.6384 17.3318 31.4959 17.4743C31.3535 17.6166 31.1101 17.6879 30.766 17.6879H29.0391ZM33.1161 11.3321C33.6027 11.3321 33.9766 11.2016 34.2377 10.9405C34.5106 10.6793 34.6471 10.2877 34.6471 9.76544C34.6471 9.23134 34.5106 8.83374 34.2377 8.57262C33.9766 8.31151 33.6027 8.18094 33.1161 8.18094H31.7095V11.3321H33.1161Z"
                              fill="white"
                            />
                            <path
                              d="M42.4469 17.9549C41.3313 17.9549 40.4352 17.5988 39.7587 16.8868C39.094 16.1627 38.7617 15.148 38.7617 13.8423C38.7617 12.8454 38.9872 11.973 39.4382 11.2253C39.9011 10.4775 40.548 9.90191 41.3788 9.49837C42.2215 9.08295 43.1888 8.87524 44.2807 8.87524C45.1828 8.87524 45.978 8.97613 46.6664 9.1779C47.3666 9.3678 48.0075 9.64673 48.5891 10.0147V17.136C48.5891 17.3615 48.5476 17.5099 48.4644 17.581C48.3814 17.6523 48.2152 17.6879 47.966 17.6879H46.15C46.0195 17.6879 45.9186 17.6701 45.8475 17.6344C45.7762 17.587 45.7169 17.5158 45.6694 17.4208L45.4379 16.8868C45.0937 17.2546 44.6784 17.5218 44.1917 17.6879C43.717 17.8659 43.1354 17.9549 42.4469 17.9549ZM43.7823 15.5336C44.2451 15.5336 44.6071 15.4209 44.8682 15.1955C45.1293 14.9699 45.2599 14.6495 45.2599 14.234V11.4567C45.0344 11.3499 44.7495 11.2965 44.4054 11.2965C43.7763 11.2965 43.2718 11.5161 42.8921 11.9552C42.5241 12.3943 42.3402 13.0115 42.3402 13.8067C42.3402 14.958 42.8208 15.5336 43.7823 15.5336Z"
                              fill="white"
                            />
                            <path
                              d="M51.0666 17.6879C50.7223 17.6879 50.479 17.6166 50.3367 17.4743C50.1942 17.3318 50.123 17.1063 50.123 16.7977V9.6942C50.123 9.48057 50.1586 9.33813 50.2298 9.26692C50.3129 9.18384 50.479 9.1423 50.7283 9.1423H52.5621C52.7044 9.1423 52.8113 9.16603 52.8825 9.21351C52.9655 9.24911 53.013 9.32033 53.0249 9.42715L53.1139 9.96125C53.4463 9.62892 53.8795 9.3678 54.4135 9.1779C54.9596 8.97613 55.5648 8.87524 56.2295 8.87524C57.1909 8.87524 57.9683 9.14823 58.5617 9.6942C59.1552 10.2283 59.4519 11.0235 59.4519 12.0798V16.7977C59.4519 17.1063 59.3807 17.3318 59.2383 17.4743C59.1077 17.6166 58.8703 17.6879 58.5261 17.6879H56.7992C56.455 17.6879 56.2058 17.6166 56.0515 17.4743C55.909 17.3318 55.8379 17.1063 55.8379 16.7977V12.3113C55.8379 11.9552 55.7607 11.7001 55.6064 11.5457C55.4521 11.3914 55.2088 11.3143 54.8765 11.3143C54.5204 11.3143 54.2355 11.4092 54.0219 11.5991C53.8202 11.789 53.7193 12.0502 53.7193 12.3825V16.7977C53.7193 17.1063 53.648 17.3318 53.5057 17.4743C53.3751 17.6166 53.1377 17.6879 52.7935 17.6879H51.0666Z"
                              fill="white"
                            />
                            <path
                              d="M65.7455 17.9549C64.0839 17.9549 62.802 17.5691 61.8999 16.7977C60.9979 16.0263 60.5469 14.9047 60.5469 13.4329C60.5469 12.5309 60.7546 11.7357 61.17 11.0473C61.5854 10.3589 62.1848 9.82475 62.9681 9.44496C63.7634 9.06515 64.701 8.87524 65.7811 8.87524C66.6 8.87524 67.2884 8.9524 67.8462 9.10669C68.4159 9.26098 68.9204 9.49836 69.3595 9.81883C69.4901 9.90191 69.5553 10.0087 69.5553 10.1393C69.5553 10.2342 69.5079 10.3589 69.4129 10.5131L68.683 11.7771C68.5999 11.9434 68.499 12.0265 68.3804 12.0265C68.3091 12.0265 68.1963 11.979 68.0421 11.884C67.7216 11.6823 67.419 11.5339 67.1341 11.4389C66.8611 11.344 66.5169 11.2965 66.1016 11.2965C65.5081 11.2965 65.0274 11.4864 64.6595 11.8662C64.3034 12.246 64.1253 12.7682 64.1253 13.4329C64.1253 14.1094 64.3093 14.6317 64.6772 14.9995C65.0452 15.3556 65.5496 15.5336 66.1905 15.5336C66.5703 15.5336 66.9146 15.4803 67.2232 15.3734C67.5318 15.2666 67.8462 15.1183 68.1667 14.9284C68.3329 14.8334 68.4515 14.7859 68.5228 14.7859C68.6296 14.7859 68.7245 14.869 68.8076 15.0352L69.6087 16.406C69.6681 16.5247 69.6978 16.6197 69.6978 16.6908C69.6978 16.7977 69.6265 16.8986 69.4842 16.9935C68.9857 17.314 68.4396 17.5513 67.8462 17.7057C67.2646 17.8718 66.5644 17.9549 65.7455 17.9549Z"
                              fill="white"
                            />
                            <path
                              d="M74.2107 17.9549C73.095 17.9549 72.1989 17.5988 71.5225 16.8868C70.8578 16.1627 70.5254 15.148 70.5254 13.8423C70.5254 12.8454 70.7509 11.973 71.202 11.2253C71.6648 10.4775 72.3117 9.90191 73.1425 9.49837C73.9852 9.08295 74.9526 8.87524 76.0445 8.87524C76.9465 8.87524 77.7417 8.97613 78.43 9.1779C79.1303 9.3678 79.7713 9.64673 80.3529 10.0147V17.136C80.3529 17.3615 80.3113 17.5099 80.2282 17.581C80.1452 17.6523 79.979 17.6879 79.7297 17.6879H77.9138C77.7833 17.6879 77.6823 17.6701 77.6111 17.6344C77.54 17.587 77.4806 17.5158 77.4331 17.4208L77.2017 16.8868C76.8575 17.2546 76.442 17.5218 75.9554 17.6879C75.4807 17.8659 74.8991 17.9549 74.2107 17.9549ZM75.5459 15.5336C76.0089 15.5336 76.3709 15.4209 76.632 15.1955C76.8931 14.9699 77.0236 14.6495 77.0236 14.234V11.4567C76.7981 11.3499 76.5133 11.2965 76.169 11.2965C75.5401 11.2965 75.0356 11.5161 74.6558 11.9552C74.2879 12.3943 74.1038 13.0115 74.1038 13.8067C74.1038 14.958 74.5846 15.5336 75.5459 15.5336Z"
                              fill="white"
                            />
                            <path
                              d="M91.538 17.0114C91.6211 17.1063 91.6627 17.2132 91.6627 17.3318C91.6627 17.4386 91.6271 17.5277 91.5558 17.5988C91.4846 17.6582 91.3897 17.6879 91.271 17.6879H88.5115C88.3453 17.6879 88.2207 17.676 88.1376 17.6523C88.0664 17.6166 87.9893 17.5514 87.9062 17.4565L85.4849 14.1628V16.7977C85.4849 17.1063 85.4138 17.3318 85.2713 17.4743C85.1288 17.6166 84.8855 17.6879 84.5414 17.6879H82.8145C82.4703 17.6879 82.227 17.6166 82.0845 17.4743C81.9539 17.3318 81.8887 17.1063 81.8887 16.7977V6.48964C81.8887 6.18105 81.9598 5.95554 82.1023 5.81312C82.2448 5.65882 82.4822 5.58167 82.8145 5.58167H84.5414C84.8855 5.58167 85.1288 5.65882 85.2713 5.81312C85.4138 5.95554 85.4849 6.18105 85.4849 6.48964V12.4537L87.835 9.39157C87.9062 9.29661 87.9834 9.23134 88.0664 9.19573C88.1495 9.16013 88.2742 9.14233 88.4403 9.14233H91.1999C91.3185 9.14233 91.4075 9.17793 91.4669 9.24914C91.538 9.30849 91.5737 9.39157 91.5737 9.4984C91.5737 9.61709 91.5321 9.7239 91.4491 9.81886L88.4047 13.3084L91.538 17.0114Z"
                              fill="white"
                            />
                            <path
                              d="M97.3174 17.9549C96.3205 17.9549 95.4303 17.7888 94.6469 17.4565C93.8755 17.1241 93.2642 16.6256 92.8132 15.961C92.3622 15.2963 92.1367 14.4833 92.1367 13.5219C92.1367 12.0146 92.564 10.8633 93.4186 10.0681C94.2731 9.27286 95.5016 8.87524 97.1038 8.87524C98.6706 8.87524 99.8574 9.26692 100.664 10.0503C101.483 10.8217 101.893 11.8959 101.893 13.2726C101.893 13.8661 101.632 14.1628 101.11 14.1628H95.5193C95.5193 14.6731 95.7092 15.0649 96.0891 15.3378C96.4807 15.6108 97.0682 15.7473 97.8515 15.7473C98.3382 15.7473 98.7417 15.7058 99.0622 15.6227C99.3945 15.5277 99.7269 15.3913 100.059 15.2133C100.202 15.1539 100.297 15.1242 100.344 15.1242C100.451 15.1242 100.54 15.1955 100.611 15.3378L101.216 16.4772C101.276 16.596 101.305 16.6849 101.305 16.7443C101.305 16.8511 101.234 16.9521 101.092 17.0469C100.605 17.3674 100.053 17.5988 99.4361 17.7413C98.8189 17.8837 98.1126 17.9549 97.3174 17.9549ZM98.6884 12.4003C98.6884 11.9493 98.5578 11.5991 98.2967 11.3499C98.0356 11.1007 97.6438 10.976 97.1216 10.976C96.5994 10.976 96.2018 11.1066 95.9288 11.3677C95.6558 11.617 95.5193 11.9612 95.5193 12.4003H98.6884Z"
                              fill="white"
                            />
                            <path
                              d="M107.997 17.9549C106.999 17.9549 106.056 17.854 105.166 17.6523C104.276 17.4386 103.558 17.1419 103.012 16.7621C102.81 16.6315 102.709 16.495 102.709 16.3526C102.709 16.2577 102.745 16.1568 102.816 16.0499L103.688 14.6613C103.783 14.5189 103.878 14.4477 103.973 14.4477C104.032 14.4477 104.133 14.4892 104.276 14.5723C104.715 14.8216 105.213 15.0233 105.771 15.1775C106.329 15.3319 106.881 15.4091 107.427 15.4091C107.985 15.4091 108.394 15.326 108.655 15.1598C108.928 14.9936 109.065 14.7266 109.065 14.3586C109.065 14.0026 108.916 13.7237 108.62 13.5219C108.335 13.3201 107.795 13.065 106.999 12.7564C105.801 12.3054 104.863 11.8009 104.187 11.2431C103.522 10.6734 103.19 9.90189 103.19 8.92864C103.19 7.75363 103.611 6.85753 104.454 6.24034C105.296 5.62317 106.418 5.31458 107.819 5.31458C108.792 5.31458 109.623 5.40359 110.311 5.58162C111.011 5.74778 111.605 6.0089 112.091 6.36497C112.293 6.51927 112.394 6.66169 112.394 6.79225C112.394 6.87533 112.358 6.97028 112.287 7.0771L111.415 8.46576C111.308 8.60818 111.213 8.6794 111.13 8.6794C111.071 8.6794 110.97 8.63785 110.827 8.55477C110.139 8.10376 109.32 7.87824 108.37 7.87824C107.86 7.87824 107.468 7.96133 107.195 8.1275C106.922 8.29366 106.786 8.56665 106.786 8.94644C106.786 9.20757 106.857 9.4212 106.999 9.58736C107.142 9.75352 107.332 9.90189 107.569 10.0324C107.819 10.1511 108.198 10.3054 108.709 10.4953L109.047 10.62C109.925 10.9642 110.614 11.2965 111.112 11.617C111.622 11.9255 112.008 12.3112 112.269 12.7742C112.53 13.2251 112.661 13.7948 112.661 14.4833C112.661 15.5396 112.263 16.3823 111.468 17.0113C110.685 17.6404 109.528 17.9549 107.997 17.9549Z"
                              fill="white"
                            />
                            <path
                              d="M116.442 17.6879C116.264 17.6879 116.127 17.6582 116.032 17.5989C115.937 17.5396 115.866 17.4208 115.819 17.2428L113.522 9.5518C113.498 9.4806 113.486 9.42718 113.486 9.39158C113.486 9.22541 113.605 9.14233 113.842 9.14233H116.192C116.347 9.14233 116.459 9.172 116.531 9.23134C116.602 9.27882 116.65 9.3619 116.673 9.48058L117.634 13.522L118.845 10.2639C118.905 10.1215 118.964 10.0266 119.023 9.97908C119.094 9.91973 119.213 9.89006 119.38 9.89006H120.5C120.667 9.89006 120.78 9.91973 120.839 9.97908C120.911 10.0266 120.975 10.1215 121.035 10.2639L122.228 13.522L123.207 9.48058C123.242 9.3619 123.289 9.27882 123.35 9.23134C123.408 9.172 123.516 9.14233 123.67 9.14233H126.038C126.275 9.14233 126.394 9.22541 126.394 9.39158C126.394 9.42718 126.382 9.4806 126.358 9.5518L124.044 17.2428C123.997 17.4208 123.925 17.5396 123.83 17.5989C123.747 17.6582 123.616 17.6879 123.438 17.6879H121.694C121.528 17.6879 121.403 17.6582 121.32 17.5989C121.236 17.5277 121.166 17.409 121.106 17.2428L119.931 14.0204L118.756 17.2428C118.708 17.409 118.637 17.5277 118.542 17.5989C118.459 17.6582 118.335 17.6879 118.169 17.6879H116.442Z"
                              fill="white"
                            />
                            <path
                              d="M130.908 17.9549C129.792 17.9549 128.897 17.5988 128.22 16.8868C127.555 16.1627 127.223 15.148 127.223 13.8423C127.223 12.8454 127.448 11.973 127.9 11.2253C128.362 10.4775 129.009 9.90191 129.84 9.49837C130.683 9.08295 131.65 8.87524 132.742 8.87524C133.644 8.87524 134.439 8.97613 135.128 9.1779C135.828 9.3678 136.469 9.64673 137.05 10.0147V17.136C137.05 17.3615 137.008 17.5099 136.925 17.581C136.842 17.6523 136.677 17.6879 136.427 17.6879H134.611C134.481 17.6879 134.38 17.6701 134.308 17.6344C134.237 17.587 134.178 17.5158 134.13 17.4208L133.899 16.8868C133.555 17.2546 133.139 17.5218 132.653 17.6879C132.178 17.8659 131.597 17.9549 130.908 17.9549ZM132.244 15.5336C132.706 15.5336 133.069 15.4209 133.33 15.1955C133.591 14.9699 133.721 14.6495 133.721 14.234V11.4567C133.495 11.3499 133.211 11.2965 132.867 11.2965C132.237 11.2965 131.733 11.5161 131.353 11.9552C130.986 12.3943 130.801 13.0115 130.801 13.8067C130.801 14.958 131.283 15.5336 132.244 15.5336Z"
                              fill="white"
                            />
                            <path
                              d="M139.509 21.2841C139.165 21.2841 138.922 21.213 138.779 21.0705C138.649 20.9281 138.584 20.7025 138.584 20.394V10.1927C139.118 9.81289 139.789 9.49836 140.595 9.24911C141.403 8.99987 142.245 8.87524 143.123 8.87524C146.708 8.87524 148.5 10.3945 148.5 13.4329C148.5 14.8097 148.12 15.9075 147.361 16.7265C146.601 17.5454 145.528 17.9549 144.139 17.9549C143.747 17.9549 143.367 17.9074 142.999 17.8124C142.643 17.7176 142.346 17.587 142.109 17.4208V20.394C142.109 20.7025 142.037 20.9281 141.895 21.0705C141.753 21.213 141.509 21.2841 141.165 21.2841H139.509ZM143.373 15.5514C143.884 15.5514 144.264 15.3616 144.512 14.9817C144.773 14.5901 144.904 14.0678 144.904 13.4151C144.904 12.6437 144.75 12.1035 144.442 11.7949C144.145 11.4745 143.681 11.3143 143.053 11.3143C142.648 11.3143 142.328 11.3677 142.092 11.4745V14.3053C142.092 14.7088 142.204 15.0174 142.429 15.2311C142.655 15.4447 142.97 15.5514 143.373 15.5514Z"
                              fill="white"
                            />
                            <path
                              fillRule="evenodd"
                              clipRule="evenodd"
                              d="M11.7718 22.946C8.39903 22.9435 5.68219 22.1341 3.78391 20.6805C1.86286 19.2094 0.84375 17.1217 0.84375 14.7593C0.84375 12.4832 1.86063 10.8419 3.01121 9.73247C3.91292 8.86304 4.90796 8.30621 5.60082 7.98591C5.44413 7.50507 5.24866 6.87557 5.07376 6.22538C4.83975 5.35535 4.61017 4.33456 4.61017 3.58653C4.61017 2.70114 4.8032 1.81197 5.32369 1.12104C5.8736 0.391057 6.70146 0 7.69739 0C8.47576 0 9.13659 0.288725 9.65394 0.786804C10.1485 1.2629 10.4776 1.89516 10.7048 2.55427C11.1042 3.71242 11.2597 5.16745 11.3033 6.6195H12.2572C12.3009 5.16745 12.4563 3.71242 12.8557 2.55427C13.083 1.89516 13.412 1.2629 13.9066 0.786804C14.424 0.288725 15.0847 0 15.8631 0C16.8591 0 17.6869 0.391057 18.2368 1.12104C18.7573 1.81197 18.9504 2.70114 18.9504 3.58653C18.9504 4.33456 18.7207 5.35535 18.4867 6.22538C18.3118 6.87557 18.1163 7.50507 17.9597 7.98591C18.6525 8.30621 19.6476 8.86304 20.5493 9.73247C21.6999 10.8419 22.7167 12.4832 22.7167 14.7593C22.7167 17.1217 21.6977 19.2094 19.7766 20.6805C17.8783 22.1341 15.1614 22.9435 11.7887 22.946H11.7718Z"
                              fill="#633001"
                            />
                            <path
                              d="M7.69739 0.842041C6.23868 0.842041 5.5672 1.9414 5.5672 3.46178C5.5672 4.67026 6.3474 7.09053 6.66751 8.03269C6.73951 8.2446 6.62638 8.47678 6.42005 8.55896C5.25094 9.02465 1.80078 10.7297 1.80078 14.6347C1.80078 18.748 5.30693 21.8496 11.7725 21.8545C11.7751 21.8545 11.7777 21.8544 11.7802 21.8544C11.7828 21.8544 11.7854 21.8545 11.788 21.8545C18.2535 21.8496 21.7597 18.748 21.7597 14.6347C21.7597 10.7297 18.3096 9.02465 17.1405 8.55896C16.9341 8.47678 16.821 8.2446 16.893 8.03269C17.2131 7.09053 17.9933 4.67026 17.9933 3.46178C17.9933 1.9414 17.3218 0.842041 15.8631 0.842041C13.7634 0.842041 13.2399 3.84677 13.2026 7.07158C13.2001 7.28687 13.0278 7.46154 12.8147 7.46154H10.7458C10.5327 7.46154 10.3604 7.28687 10.3579 7.07158C10.3206 3.84677 9.79716 0.842041 7.69739 0.842041Z"
                              fill="#D1884F"
                            />
                            <path
                              d="M11.788 20.5369C7.03736 20.5369 1.809 17.968 1.8008 14.6426C1.80079 14.6477 1.80078 14.6529 1.80078 14.6581C1.80078 18.7748 5.31251 21.8779 11.788 21.8779C18.2635 21.8779 21.7751 18.7748 21.7751 14.6581C21.7751 14.6529 21.7751 14.6477 21.7751 14.6426C21.7669 17.968 16.5385 20.5369 11.788 20.5369Z"
                              fill="#FEDC90"
                            />
                            <path
                              d="M9.14707 13.6211C9.14707 14.7438 8.62184 15.3286 7.97393 15.3286C7.32601 15.3286 6.80078 14.7438 6.80078 13.6211C6.80078 12.4983 7.32601 11.9136 7.97393 11.9136C8.62184 11.9136 9.14707 12.4983 9.14707 13.6211Z"
                              fill="#633001"
                            />
                            <path
                              d="M16.774 13.6211C16.774 14.7438 16.2488 15.3286 15.6009 15.3286C14.953 15.3286 14.4277 14.7438 14.4277 13.6211C14.4277 12.4983 14.953 11.9136 15.6009 11.9136C16.2488 11.9136 16.774 12.4983 16.774 13.6211Z"
                              fill="#633001"
                            />
                          </g>
                          <defs>
                            <clipPath id="clip0_72_322">
                              <rect
                                width="148"
                                height="22.9914"
                                fill="white"
                                transform="translate(0.5)"
                              />
                            </clipPath>
                          </defs>
                        </svg>
                      </div>

                      <div className="w-full p-3 border border-white/25 bg-white/10 hover:bg-white/15 rounded-lg flex justify-between items-center cursor-pointer duration-200">
                        <p className="font-medium text-white">From</p>
                        <p className="flex items-center gap-2 font-medium text-white">
                          0x...........abcd{" "}
                          <svg
                            onClick={() => {
                              toast.success("Copied!");

                              navigator.clipboard.writeText(
                                "0x...........abcd"
                              );
                            }}
                            width="17"
                            height="16"
                            viewBox="0 0 17 16"
                            fill="none"
                            xmlns="http://www.w3.org/2000/svg"
                            className="cursor-pointer"
                          >
                            <g clipPath="url(#clip0_72_249)">
                              <path
                                d="M5.83398 5.32471V3.45804C5.83398 2.71131 5.83398 2.33793 5.97931 2.05272C6.10714 1.80183 6.31111 1.59786 6.562 1.47003C6.84721 1.32471 7.22058 1.32471 7.96732 1.32471H13.034C13.7807 1.32471 14.1541 1.32471 14.4393 1.47003C14.6902 1.59786 14.8942 1.80183 15.022 2.05272C15.1673 2.33793 15.1673 2.71131 15.1673 3.45804V8.52471C15.1673 9.27144 15.1673 9.64484 15.022 9.93004C14.8942 10.1809 14.6902 10.3849 14.4393 10.5127C14.1541 10.658 13.7807 10.658 13.034 10.658H11.1673M3.96732 14.658H9.03398C9.78072 14.658 10.1541 14.658 10.4393 14.5127C10.6902 14.3849 10.8942 14.1809 11.022 13.93C11.1673 13.6448 11.1673 13.2714 11.1673 12.5247V7.45804C11.1673 6.71131 11.1673 6.33793 11.022 6.05272C10.8942 5.80183 10.6902 5.59786 10.4393 5.47003C10.1541 5.32471 9.78072 5.32471 9.03398 5.32471H3.96732C3.22058 5.32471 2.84721 5.32471 2.562 5.47003C2.31111 5.59786 2.10714 5.80183 1.97931 6.05272C1.83398 6.33793 1.83398 6.71131 1.83398 7.45804V12.5247C1.83398 13.2714 1.83398 13.6448 1.97931 13.93C2.10714 14.1809 2.31111 14.3849 2.562 14.5127C2.84721 14.658 3.22058 14.658 3.96732 14.658Z"
                                stroke="white"
                                strokeWidth="1.33333"
                                strokeLinecap="round"
                                strokeLinejoin="round"
                              />
                            </g>
                            <defs>
                              <clipPath id="clip0_72_249">
                                <rect
                                  width="16"
                                  height="16"
                                  fill="white"
                                  transform="translate(0.5 -0.00854492)"
                                />
                              </clipPath>
                            </defs>
                          </svg>
                        </p>
                      </div>

                      <div className="w-full p-3 border border-white/25 bg-white/10 hover:bg-white/15 rounded-lg flex justify-between items-center cursor-pointer duration-200">
                        <p className="font-medium text-white">To</p>
                        <p className="flex items-center gap-2 font-medium text-white">
                          0x...........abcd{" "}
                          <svg
                            onClick={() => {
                              toast.success("Copied!");

                              navigator.clipboard.writeText(
                                "0x...........abcd"
                              );
                            }}
                            width="17"
                            height="16"
                            viewBox="0 0 17 16"
                            fill="none"
                            xmlns="http://www.w3.org/2000/svg"
                            className="cursor-pointer"
                          >
                            <g clipPath="url(#clip0_72_249)">
                              <path
                                d="M5.83398 5.32471V3.45804C5.83398 2.71131 5.83398 2.33793 5.97931 2.05272C6.10714 1.80183 6.31111 1.59786 6.562 1.47003C6.84721 1.32471 7.22058 1.32471 7.96732 1.32471H13.034C13.7807 1.32471 14.1541 1.32471 14.4393 1.47003C14.6902 1.59786 14.8942 1.80183 15.022 2.05272C15.1673 2.33793 15.1673 2.71131 15.1673 3.45804V8.52471C15.1673 9.27144 15.1673 9.64484 15.022 9.93004C14.8942 10.1809 14.6902 10.3849 14.4393 10.5127C14.1541 10.658 13.7807 10.658 13.034 10.658H11.1673M3.96732 14.658H9.03398C9.78072 14.658 10.1541 14.658 10.4393 14.5127C10.6902 14.3849 10.8942 14.1809 11.022 13.93C11.1673 13.6448 11.1673 13.2714 11.1673 12.5247V7.45804C11.1673 6.71131 11.1673 6.33793 11.022 6.05272C10.8942 5.80183 10.6902 5.59786 10.4393 5.47003C10.1541 5.32471 9.78072 5.32471 9.03398 5.32471H3.96732C3.22058 5.32471 2.84721 5.32471 2.562 5.47003C2.31111 5.59786 2.10714 5.80183 1.97931 6.05272C1.83398 6.33793 1.83398 6.71131 1.83398 7.45804V12.5247C1.83398 13.2714 1.83398 13.6448 1.97931 13.93C2.10714 14.1809 2.31111 14.3849 2.562 14.5127C2.84721 14.658 3.22058 14.658 3.96732 14.658Z"
                                stroke="white"
                                strokeWidth="1.33333"
                                strokeLinecap="round"
                                strokeLinejoin="round"
                              />
                            </g>
                            <defs>
                              <clipPath id="clip0_72_249">
                                <rect
                                  width="16"
                                  height="16"
                                  fill="white"
                                  transform="translate(0.5 -0.00854492)"
                                />
                              </clipPath>
                            </defs>
                          </svg>
                        </p>
                      </div>

                      <div className="w-full p-3 border border-white/25 bg-white/10 hover:bg-white/15 rounded-lg flex justify-between items-center cursor-pointer duration-200">
                        <div className="flex items-center gap-2.5">
                          <svg
                            width="31"
                            height="32"
                            viewBox="0 0 31 32"
                            fill="none"
                            xmlns="http://www.w3.org/2000/svg"
                          >
                            <rect
                              y="0.741455"
                              width="30.5"
                              height="30.5"
                              rx="15.25"
                              fill="#FF007A"
                            />
                            <g clipPath="url(#clip0_72_263)">
                              <path
                                d="M10.9321 7.08124C10.6482 7.03745 10.6361 7.03292 10.7705 7.01329C11.0272 6.97403 11.6312 7.02688 12.048 7.12504C13.0205 7.35457 13.9054 7.94351 14.8507 8.99L15.1014 9.26786L15.4608 9.21047C16.9739 8.96886 18.5112 9.16064 19.7993 9.75109C20.1542 9.91417 20.7129 10.2373 20.7809 10.3204C20.805 10.3476 20.8458 10.5167 20.8715 10.6994C20.9681 11.3306 20.9213 11.8124 20.7265 12.1733C20.6208 12.3696 20.6148 12.4315 20.6857 12.6006C20.7197 12.6703 20.7725 12.729 20.8382 12.7701C20.9038 12.8112 20.9797 12.8331 21.0572 12.8332C21.3774 12.8332 21.7217 12.3197 21.8802 11.604L21.9436 11.3186L22.069 11.4605C22.7591 12.2367 23.2997 13.2938 23.3918 14.0458L23.416 14.2421L23.3012 14.0639C23.1344 13.791 22.9103 13.5576 22.6443 13.3798C22.1822 13.0763 21.693 12.9721 20.4003 12.9042C19.2315 12.8438 18.5701 12.7441 17.9147 12.5312C16.7988 12.1687 16.237 11.6885 14.9111 9.96099C14.3222 9.19235 13.9598 8.76802 13.5974 8.42673C12.7744 7.64904 11.9665 7.24131 10.9321 7.08275V7.08124Z"
                                fill="white"
                              />
                              <path
                                d="M21.0519 8.79471C21.0806 8.28128 21.1501 7.94151 21.292 7.63194C21.3231 7.55371 21.3621 7.47882 21.4083 7.40845C21.4159 7.40845 21.3917 7.49905 21.3539 7.60929C21.2513 7.91131 21.2331 8.32205 21.3056 8.80075C21.3962 9.40781 21.4461 9.49539 22.0909 10.1508C22.3944 10.4588 22.7462 10.8454 22.8746 11.013L23.1072 11.3151L22.8746 11.0991C22.5907 10.8348 21.9383 10.3184 21.7934 10.2444C21.6967 10.1961 21.6816 10.1961 21.6227 10.255C21.5669 10.3093 21.5563 10.3909 21.5472 10.7775C21.5367 11.38 21.4536 11.7666 21.2543 12.1516C21.1471 12.3631 21.1305 12.3178 21.2271 12.0807C21.2996 11.9055 21.3071 11.827 21.3071 11.2441C21.3071 10.0738 21.1652 9.79137 20.3452 9.31116C20.0979 9.16831 19.8439 9.03728 19.5841 8.91854C19.4561 8.86709 19.332 8.80653 19.2126 8.73733C19.2353 8.71468 20.0356 8.94723 20.3573 9.06955C20.8375 9.25378 20.916 9.27643 20.9749 9.25529C21.0127 9.24019 21.0323 9.12693 21.0504 8.79471H21.0519ZM11.4885 10.7986C10.9132 10.0103 10.5553 8.80075 10.6338 7.89621L10.6565 7.61684L10.7878 7.63949C11.0355 7.68479 11.4598 7.84184 11.6592 7.96265C12.2043 8.29185 12.4414 8.72525 12.6815 9.83969C12.7525 10.1659 12.8446 10.5343 12.8869 10.6612C12.9548 10.862 13.2146 11.3317 13.4245 11.6367C13.5755 11.8572 13.4758 11.9614 13.1406 11.9312C12.6286 11.8859 11.9355 11.4102 11.4885 10.7986ZM20.3512 16.6683C17.6572 15.5916 16.7089 14.6554 16.7089 13.0773C16.7089 12.8448 16.7165 12.6545 16.727 12.6545C16.7361 12.6545 16.8403 12.73 16.9581 12.8251C17.5047 13.26 18.1163 13.4458 19.8106 13.6919C20.8073 13.8369 21.366 13.9532 21.884 14.1238C23.53 14.6659 24.5463 15.7653 24.7894 17.2648C24.8589 17.6997 24.8196 18.5152 24.7033 18.9455C24.6127 19.2853 24.3379 19.8969 24.2654 19.9211C24.2443 19.9286 24.2246 19.8516 24.2201 19.7459C24.1929 19.1841 23.906 18.636 23.4258 18.2252C22.8791 17.7586 22.1452 17.3871 20.3512 16.6698V16.6683ZM18.4606 17.1168C18.429 16.9256 18.3856 16.7365 18.3307 16.5505L18.2613 16.3467L18.3896 16.4901C18.5663 16.6864 18.7068 16.9386 18.8245 17.2754C18.9151 17.5321 18.9242 17.6076 18.9242 18.0244C18.9242 18.4336 18.9121 18.5197 18.8276 18.7492C18.7115 19.0896 18.517 19.3979 18.2598 19.6492C17.7675 20.1476 17.1348 20.4224 16.2211 20.5372C16.0626 20.5568 15.6005 20.59 15.1943 20.6112C14.1689 20.664 13.4939 20.7743 12.8884 20.9857C12.8335 21.0098 12.7746 21.0236 12.7147 21.0264C12.6906 21.0023 13.1043 20.7577 13.4441 20.5946C13.9243 20.3635 14.403 20.2382 15.4752 20.0615C16.0037 19.9739 16.5519 19.8667 16.6908 19.8244C18.0015 19.4258 18.6766 18.3944 18.4606 17.1168Z"
                                fill="white"
                              />
                              <path
                                d="M19.6955 19.2977C19.3376 18.5336 19.2545 17.7952 19.4508 17.1066C19.472 17.0311 19.5052 16.9722 19.5263 16.9722C19.546 16.9722 19.632 17.0175 19.7136 17.0733C19.8797 17.1836 20.2089 17.3693 21.0908 17.8465C22.1901 18.443 22.8183 18.9036 23.2442 19.4321C23.6172 19.8927 23.8482 20.4197 23.96 21.06C24.0234 21.4224 23.9856 22.2983 23.892 22.6637C23.596 23.8174 22.9104 24.7235 21.9289 25.252C21.7854 25.329 21.6571 25.3924 21.642 25.3924C21.6284 25.3924 21.6812 25.2611 21.7582 25.0995C22.089 24.4139 22.1267 23.7479 21.8775 23.0065C21.7235 22.552 21.4124 21.9978 20.7842 21.06C20.0534 19.9727 19.8752 19.6813 19.6955 19.2977ZM9.57483 23.4248C10.576 22.5852 11.8188 21.9902 12.9529 21.806C13.537 21.7311 14.1295 21.754 14.7061 21.8739C15.431 22.0582 16.0803 22.4719 16.4171 22.9627C16.7463 23.4444 16.8882 23.8627 17.0362 24.7959C17.0936 25.1629 17.157 25.5329 17.1751 25.6159C17.2854 26.0992 17.5013 26.4857 17.7671 26.679C18.1899 26.9871 18.9208 27.0067 19.6381 26.7289C19.7126 26.6945 19.7913 26.6702 19.8721 26.6564C19.8978 26.6821 19.5369 26.9222 19.2832 27.049C18.9822 27.2091 18.6455 27.2901 18.3047 27.2846C17.6478 27.2846 17.1026 26.9524 16.6466 26.2758C16.4793 25.9894 16.3301 25.6929 16.1996 25.3879C15.7194 24.2991 15.4823 23.9684 14.9251 23.6045C14.4388 23.2874 13.8121 23.2315 13.341 23.461C12.7219 23.763 12.5497 24.5483 12.9937 25.0466C13.2011 25.2608 13.4724 25.4017 13.7668 25.4483C13.8838 25.4643 14.0028 25.455 14.1158 25.421C14.2289 25.387 14.3332 25.329 14.4219 25.2511C14.5106 25.1732 14.5814 25.0771 14.6297 24.9694C14.6779 24.8617 14.7025 24.7449 14.7016 24.6268C14.7016 24.2991 14.5747 24.1134 14.2561 23.9684C13.8197 23.7736 13.3531 24.0016 13.3546 24.4079C13.3546 24.5815 13.4316 24.6902 13.6068 24.7703C13.7185 24.8201 13.7215 24.8231 13.6294 24.805C13.2308 24.722 13.1371 24.2433 13.4573 23.9261C13.8439 23.5456 14.6412 23.7132 14.9145 24.2342C15.0293 24.4532 15.0429 24.8881 14.9432 25.1508C14.7167 25.7398 14.0643 26.0493 13.3999 25.8802C12.9469 25.7654 12.7641 25.6416 12.219 25.0844C11.2722 24.1149 10.9052 23.9261 9.5401 23.7147L9.27734 23.674L9.57483 23.4248Z"
                                fill="white"
                              />
                              <path
                                fillRule="evenodd"
                                clipRule="evenodd"
                                d="M5.12937 6.07402C8.2915 9.88851 10.4706 11.462 10.7122 11.7942C10.9115 12.0691 10.836 12.3167 10.4947 12.51C10.252 12.632 9.98785 12.7053 9.71703 12.726C9.49504 12.726 9.41803 12.6414 9.41803 12.6414C9.28967 12.5206 9.21719 12.5417 8.55728 11.3775C7.99623 10.5043 7.42842 9.63543 6.85389 8.77104C6.80557 8.72574 6.80708 8.72574 8.46516 11.6749C8.73245 12.2896 8.51801 12.5146 8.51801 12.6021C8.51801 12.7803 8.46818 12.874 8.24771 13.1201C7.87925 13.5278 7.71465 13.9869 7.59535 14.9367C7.46246 16.0014 7.08796 16.7534 6.04901 18.0415C5.44196 18.795 5.34229 18.9324 5.18826 19.2375C4.99497 19.6195 4.94212 19.834 4.92098 20.3157C4.89833 20.8276 4.94212 21.1568 5.09917 21.6446C5.23508 22.0734 5.38004 22.3543 5.747 22.9191C6.06412 23.4068 6.24533 23.7693 6.24533 23.9112C6.24533 24.023 6.26647 24.023 6.75876 23.9127C7.93059 23.65 8.88346 23.1879 9.41954 22.6186C9.75176 22.2667 9.82877 22.0734 9.83179 21.5917C9.8333 21.2776 9.82273 21.2112 9.73666 21.03C9.59773 20.7355 9.34403 20.4893 8.7853 20.1088C8.0514 19.6105 7.7373 19.2103 7.65273 18.6591C7.58025 18.2061 7.6633 17.8875 8.06801 17.0433C8.48781 16.1675 8.59201 15.7945 8.66298 14.9141C8.70829 14.3448 8.7702 14.1198 8.9348 13.9386C9.10695 13.7513 9.26098 13.6879 9.68682 13.6305C10.38 13.5354 10.8194 13.3587 11.1818 13.0265C11.3271 12.9066 11.4443 12.7563 11.5252 12.5862C11.6061 12.416 11.6486 12.2303 11.6499 12.0419L11.665 11.7248L11.4884 11.5224C10.8526 10.7855 4.70352 5.49414 4.66426 5.49414C4.65671 5.49414 4.8651 5.75539 5.12937 6.07402ZM6.60322 20.8956C6.6725 20.7732 6.6931 20.6292 6.66091 20.4924C6.62872 20.3555 6.54611 20.2358 6.42956 20.1571C6.20304 20.0061 5.84817 20.0786 5.84817 20.2734C5.84817 20.3338 5.88139 20.3776 5.9569 20.4153C6.08375 20.4803 6.09281 20.5528 5.99314 20.7023C5.89197 20.8518 5.90103 20.9831 6.01579 21.0738C6.20153 21.2172 6.46429 21.1387 6.60322 20.8956ZM12.1015 13.7981C11.7768 13.8963 11.4612 14.2391 11.3615 14.5985C11.3026 14.8174 11.3374 15.2025 11.4264 15.3203C11.5714 15.5121 11.7103 15.5619 12.0894 15.5604C12.8293 15.5559 13.4726 15.2403 13.5481 14.8446C13.6085 14.5215 13.3261 14.0745 12.9365 13.8767C12.6719 13.7692 12.3815 13.7419 12.1015 13.7981ZM12.9683 14.4701C13.0815 14.3085 13.0317 14.1349 12.8369 14.0171C12.4684 13.7921 11.9082 13.9778 11.9082 14.3252C11.9082 14.4988 12.1996 14.6876 12.4669 14.6876C12.6451 14.6876 12.8897 14.5819 12.9683 14.4701Z"
                                fill="white"
                              />
                            </g>
                            <defs>
                              <clipPath id="clip0_72_263">
                                <rect
                                  width="21.1413"
                                  height="22.6514"
                                  fill="white"
                                  transform="translate(4.66406 4.73877)"
                                />
                              </clipPath>
                            </defs>
                          </svg>

                          <div>
                            <p className="font-medium text-white">Uniswap</p>

                            <p className="text-sm font-medium text-white/50">
                              UNI
                            </p>
                          </div>
                        </div>

                        <div className="flex flex-col items-end">
                          <p className="font-medium text-white">2 UNI</p>

                          <p className="text-sm font-medium text-white/50">
                            24 USD
                          </p>
                        </div>
                      </div>
                    </div>

                    <div className="grid grid-cols-2 gap-4">
                      <button className="py-2 px-6 border border-[#FF002E] hover:bg-[#FF002E]/10 rounded-lg flex justify-center items-center gap-2 font-dm text-base font-semibold text-white duration-200">
                        <svg
                          width="18"
                          height="18"
                          viewBox="0 0 18 18"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path
                            d="M13.125 4.875L4.875 13.125M4.875 4.875L13.125 13.125"
                            stroke="white"
                            strokeWidth="1.375"
                            strokeLinecap="round"
                            strokeLinejoin="round"
                          />
                        </svg>
                        Deny
                      </button>

                      <button className="btn-bg py-2 px-6 rounded-lg flex justify-center items-center gap-2 font-dm text-base font-semibold text-white duration-200">
                        <svg
                          width="18"
                          height="18"
                          viewBox="0 0 18 18"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path
                            d="M15.875 9C15.875 5.20304 12.7969 2.125 9 2.125C5.20304 2.125 2.125 5.20304 2.125 9C2.125 12.7969 5.20304 15.875 9 15.875C12.7969 15.875 15.875 12.7969 15.875 9Z"
                            stroke="white"
                            strokeWidth="1.03125"
                          />
                          <path
                            d="M6.25 9.34375L7.96875 11.0625L11.75 6.9375"
                            stroke="white"
                            strokeWidth="1.03125"
                            strokeLinecap="round"
                            strokeLinejoin="round"
                          />
                        </svg>
                        Approve
                      </button>
                    </div>
                  </div>
                </div>
              </motion.div>
            )}
          </div>

          <motion.div
            initial={{ y: -25, opacity: 0 }}
            whileInView={{ y: 0, opacity: 1 }}
            viewport={{ once: true }}
            transition={{ duration: 0.25, delay: 0.8 }}
            className="w-full max-w-[780px] space-y-2"
          >
            <div className="w-full flex justify-between items-center">
              <Types />

              <button className="py-1.5 px-2 border border-white/10 bg-[#121A15] rounded-xl flex items-center gap-1.5 text-base font-medium text-white">
                <svg
                  width="18"
                  height="18"
                  viewBox="0 0 18 18"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M9 10.125V5.625M6.75 7.875H11.25M5.25 13.5V15.2516C5.25 15.6513 5.25 15.8511 5.33192 15.9537C5.40317 16.043 5.5112 16.0949 5.6254 16.0948C5.75672 16.0946 5.91275 15.9698 6.22482 15.7201L8.0139 14.2888C8.37937 13.9965 8.56215 13.8503 8.76562 13.7464C8.94615 13.6541 9.1383 13.5867 9.3369 13.546C9.56077 13.5 9.79477 13.5 10.2628 13.5H12.15C13.4102 13.5 14.0401 13.5 14.5215 13.2548C14.9449 13.0391 15.2891 12.6949 15.5048 12.2715C15.75 11.7901 15.75 11.1601 15.75 9.9V5.85C15.75 4.58988 15.75 3.95982 15.5048 3.47852C15.2891 3.05516 14.9449 2.71095 14.5215 2.49524C14.0401 2.25 13.4102 2.25 12.15 2.25H5.85C4.58988 2.25 3.95982 2.25 3.47852 2.49524C3.05516 2.71095 2.71095 3.05516 2.49524 3.47852C2.25 3.95982 2.25 4.58988 2.25 5.85V10.5C2.25 11.1975 2.25 11.5462 2.32667 11.8324C2.53472 12.6088 3.1412 13.2153 3.91765 13.4234C4.20378 13.5 4.55252 13.5 5.25 13.5Z"
                    stroke="white"
                    strokeWidth="1.5"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                  />
                </svg>
                New Chat
              </button>
            </div>

            <div className="relative flex">
              <textarea
                placeholder="Ask me anything..."
                className="w-full h-[66px] p-5 resize-none outline-none border border-white/10 focus:border-[#09C04C] bg-[#121A15] rounded-2xl text-base text-white placeholder:text-white/75 duration-200"
              ></textarea>

              <div className="absolute top-1/2 right-0 -translate-y-1/2 w-fit px-5 flex justify-end">
                <button className="flex">
                  <svg
                    width="32"
                    height="32"
                    viewBox="0 0 32 32"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <rect width="32" height="32" rx="16" fill="#09C04C" />
                    <path
                      d="M16 24V8M16 8L10 14M16 8L22 14"
                      stroke="black"
                      strokeWidth="2"
                      strokeLinecap="round"
                      strokeLinejoin="round"
                    />
                  </svg>
                </button>
              </div>
            </div>
          </motion.div>
        </div>
      </main>

      <div className="absolute -z-10 -top-1/3 -left-[180px] w-[750px] h-[750px] bg-[#6B6700] blur-[150px] rounded-full"></div>
    </div>
  );
}
