"use client";
import Image from "next/image";
import avatarImg1 from "@/assets/images/avatars/1.svg";
import trendingTokenImg from "@/assets/images/trending-token.png";
import fourLogoImg from "@/assets/images/four-logo.png";
import Types from "../../Types";
import Sidebar from "@/components/Sidebar";
import { motion } from "motion/react";
import Loader from "@/components/Loader";
import { useEffect, useState } from "react";
import Link from "next/link";
import { toast } from "react-toastify";

export default function DashboardChat() {
  const [state, setState] = useState<number>(1);

  useEffect(() => {
    setTimeout(() => {
      setState(2);

      setTimeout(() => {
        setState(3);
      }, 2000);
    }, 3000);
  }, []);

  return (
    <div className="p-2.5 h-[100svh]">
      <main className="h-full flex">
        <Sidebar />

        <div
          className="flex-1 h-[calc(100svh-20px)] pt-10 pb-5 bg-[#121A15] rounded-xl flex flex-col justify-between items-center"
          style={{
            backgroundImage: `url("/images/body-bg.png")`,
            backgroundSize: "cover",
            backgroundPosition: "center",
          }}
        >
          <div className="hide-scrollbar flex-1 w-full max-w-[780px] pb-10 space-y-12 overflow-y-auto">
            <motion.p
              initial={{ y: -25, opacity: 0 }}
              whileInView={{ y: 0, opacity: 1 }}
              viewport={{ once: true }}
              transition={{ duration: 0.25, delay: 0.2 }}
              className="text-lg font-medium text-center text-white"
            >
              Title of the Chat comes in this section
            </motion.p>

            <motion.p
              initial={{ y: -25, opacity: 0 }}
              whileInView={{ y: 0, opacity: 1 }}
              viewport={{ once: true }}
              transition={{ duration: 0.25, delay: 0.4 }}
              className="ml-auto max-w-[500px] p-3 border border-white/10 bg-white/10 rounded-lg text-white"
            >
              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
              eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
              enim ad minim veniam, quis nostrud exercitation ullamco laboris
              nisi ut aliquip ex ea commodo consequat.
            </motion.p>

            <Loader state={state} />

            {state === 3 && (
              <motion.div
                initial={{ y: -25, opacity: 0 }}
                whileInView={{ y: 0, opacity: 1 }}
                viewport={{ once: true }}
                transition={{ duration: 0.25, delay: 0.6 }}
                className="flex items-start gap-5"
              >
                <Image src={avatarImg1} alt="" className="w-[40px]" />

                <div className="flex-1 space-y-3">
                  <div className="w-full p-5 border border-white/10 bg-white/10 rounded-lg">
                    <div className="mb-3.5 pb-2 border-b border-white/10 flex justify-between items-center">
                      <h4 className="text-lg font-semibold text-white">
                        Trending Tokens
                      </h4>

                      <Image src={fourLogoImg} alt="" className="w-[76px]" />
                    </div>

                    <div className="w-full grid grid-cols-3 gap-4">
                      {[1, 2, 3, 4, 5, 6].map((_, index) => {
                        return (
                          <div
                            key={index}
                            className="relative hover:-translate-y-1 p-3 border border-white/10 bg-white/10 rounded-lg duration-200"
                          >
                            <Link href={"#"} target="_blank">
                              <Image
                                src={trendingTokenImg}
                                alt=""
                                className="w-full rounded-lg"
                              />
                            </Link>

                            <h4 className="mt-3 mb-2 text-lg font-medium text-white">
                              GOVNISHE (GVN)
                            </h4>

                            <p className="flex items-center gap-2.5 text-sm text-white/75">
                              <svg
                                width="19"
                                height="18"
                                viewBox="0 0 19 18"
                                fill="none"
                                xmlns="http://www.w3.org/2000/svg"
                              >
                                <g clipPath="url(#clip0_72_1934)">
                                  <path
                                    fillRule="evenodd"
                                    clipRule="evenodd"
                                    d="M9.5 0C14.4709 0 18.5 4.02909 18.5 9C18.5 13.9709 14.4709 18 9.5 18C4.52909 18 0.5 13.9709 0.5 9C0.5 4.02909 4.52909 0 9.5 0Z"
                                    fill="#F0B90B"
                                  />
                                  <path
                                    d="M5.44718 9.00001L5.45367 11.3798L7.47578 12.5697V13.963L4.27025 12.0829V8.30409L5.44718 9.00001ZM5.44718 6.6202V8.00698L4.26953 7.31034V5.92356L5.44718 5.22693L6.63059 5.92356L5.44718 6.6202ZM8.32025 5.92356L9.4979 5.22693L10.6813 5.92356L9.4979 6.6202L8.32025 5.92356Z"
                                    fill="white"
                                  />
                                  <path
                                    d="M6.29688 10.8865V9.49327L7.47452 10.1899V11.5767L6.29688 10.8865ZM8.31899 13.0688L9.49663 13.7654L10.68 13.0688V14.4555L9.49663 15.1522L8.31899 14.4555V13.0688ZM12.369 5.92356L13.5466 5.22693L14.73 5.92356V7.31034L13.5466 8.00698V6.6202L12.369 5.92356ZM13.5466 11.3798L13.5531 9.00001L14.7308 8.30337V12.0822L11.5252 13.9623V12.569L13.5466 11.3798Z"
                                    fill="white"
                                  />
                                  <path
                                    d="M12.703 10.8866L11.5254 11.5767V10.1899L12.703 9.49329V10.8866Z"
                                    fill="white"
                                  />
                                  <path
                                    d="M12.7022 7.1134L12.7087 8.50667L10.6808 9.69658V12.0822L9.50312 12.7723L8.32548 12.0822V9.69658L6.2976 8.50667V7.1134L7.48029 6.41677L9.49591 7.61244L11.5238 6.41677L12.7072 7.1134H12.7022ZM6.29688 4.73432L9.49663 2.84778L12.7022 4.73432L11.5245 5.43095L9.49663 4.23528L7.47452 5.43095L6.29688 4.73432Z"
                                    fill="white"
                                  />
                                </g>
                                <defs>
                                  <clipPath id="clip0_72_1934">
                                    <rect
                                      width="18"
                                      height="18"
                                      fill="white"
                                      transform="translate(0.5)"
                                    />
                                  </clipPath>
                                </defs>
                              </svg>
                              CA : 0x1231....abcd{" "}
                              <svg
                                onClick={() => {
                                  toast.success("Copied!");

                                  navigator.clipboard.writeText(
                                    "0x1231....abcd"
                                  );
                                }}
                                width="17"
                                height="16"
                                viewBox="0 0 17 16"
                                fill="none"
                                xmlns="http://www.w3.org/2000/svg"
                                className="cursor-pointer"
                              >
                                <path
                                  d="M5.83398 5.33337V3.46671C5.83398 2.71997 5.83398 2.3466 5.97931 2.06139C6.10714 1.8105 6.31111 1.60653 6.562 1.4787C6.84721 1.33337 7.22058 1.33337 7.96732 1.33337H13.034C13.7807 1.33337 14.1541 1.33337 14.4393 1.4787C14.6902 1.60653 14.8942 1.8105 15.022 2.06139C15.1673 2.3466 15.1673 2.71997 15.1673 3.46671V8.53337C15.1673 9.28011 15.1673 9.65351 15.022 9.93871C14.8942 10.1896 14.6902 10.3936 14.4393 10.5214C14.1541 10.6667 13.7807 10.6667 13.034 10.6667H11.1673M3.96732 14.6667H9.03398C9.78072 14.6667 10.1541 14.6667 10.4393 14.5214C10.6902 14.3936 10.8942 14.1896 11.022 13.9387C11.1673 13.6535 11.1673 13.2801 11.1673 12.5334V7.46671C11.1673 6.71997 11.1673 6.3466 11.022 6.06139C10.8942 5.8105 10.6902 5.60653 10.4393 5.4787C10.1541 5.33337 9.78072 5.33337 9.03398 5.33337H3.96732C3.22058 5.33337 2.84721 5.33337 2.562 5.4787C2.31111 5.60653 2.10714 5.8105 1.97931 6.06139C1.83398 6.3466 1.83398 6.71997 1.83398 7.46671V12.5334C1.83398 13.2801 1.83398 13.6535 1.97931 13.9387C2.10714 14.1896 2.31111 14.3936 2.562 14.5214C2.84721 14.6667 3.22058 14.6667 3.96732 14.6667Z"
                                  stroke="white"
                                  strokeWidth="1.33333"
                                  strokeLinecap="round"
                                  strokeLinejoin="round"
                                />
                              </svg>
                            </p>
                          </div>
                        );
                      })}
                    </div>
                  </div>
                </div>
              </motion.div>
            )}
          </div>

          <motion.div
            initial={{ y: -25, opacity: 0 }}
            whileInView={{ y: 0, opacity: 1 }}
            viewport={{ once: true }}
            transition={{ duration: 0.25, delay: 0.8 }}
            className="w-full max-w-[780px] space-y-2"
          >
            <div className="w-full flex justify-between items-center">
              <Types />

              <button className="py-1.5 px-2 border border-white/10 bg-[#121A15] rounded-xl flex items-center gap-1.5 text-base font-medium text-white">
                <svg
                  width="18"
                  height="18"
                  viewBox="0 0 18 18"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M9 10.125V5.625M6.75 7.875H11.25M5.25 13.5V15.2516C5.25 15.6513 5.25 15.8511 5.33192 15.9537C5.40317 16.043 5.5112 16.0949 5.6254 16.0948C5.75672 16.0946 5.91275 15.9698 6.22482 15.7201L8.0139 14.2888C8.37937 13.9965 8.56215 13.8503 8.76562 13.7464C8.94615 13.6541 9.1383 13.5867 9.3369 13.546C9.56077 13.5 9.79477 13.5 10.2628 13.5H12.15C13.4102 13.5 14.0401 13.5 14.5215 13.2548C14.9449 13.0391 15.2891 12.6949 15.5048 12.2715C15.75 11.7901 15.75 11.1601 15.75 9.9V5.85C15.75 4.58988 15.75 3.95982 15.5048 3.47852C15.2891 3.05516 14.9449 2.71095 14.5215 2.49524C14.0401 2.25 13.4102 2.25 12.15 2.25H5.85C4.58988 2.25 3.95982 2.25 3.47852 2.49524C3.05516 2.71095 2.71095 3.05516 2.49524 3.47852C2.25 3.95982 2.25 4.58988 2.25 5.85V10.5C2.25 11.1975 2.25 11.5462 2.32667 11.8324C2.53472 12.6088 3.1412 13.2153 3.91765 13.4234C4.20378 13.5 4.55252 13.5 5.25 13.5Z"
                    stroke="white"
                    strokeWidth="1.5"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                  />
                </svg>
                New Chat
              </button>
            </div>

            <div className="relative flex">
              <textarea
                placeholder="Ask me anything..."
                className="w-full h-[66px] p-5 resize-none outline-none border border-white/10 focus:border-[#09C04C] bg-[#121A15] rounded-2xl text-base text-white placeholder:text-white/75 duration-200"
              ></textarea>

              <div className="absolute top-1/2 right-0 -translate-y-1/2 w-fit px-5 flex justify-end">
                <button className="flex">
                  <svg
                    width="32"
                    height="32"
                    viewBox="0 0 32 32"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <rect width="32" height="32" rx="16" fill="#09C04C" />
                    <path
                      d="M16 24V8M16 8L10 14M16 8L22 14"
                      stroke="black"
                      strokeWidth="2"
                      strokeLinecap="round"
                      strokeLinejoin="round"
                    />
                  </svg>
                </button>
              </div>
            </div>
          </motion.div>
        </div>
      </main>

      <div className="absolute -z-10 -top-1/3 -left-[180px] w-[750px] h-[750px] bg-[#6B6700] blur-[150px] rounded-full"></div>
    </div>
  );
}
